diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/wifi/model/ht-configuration.cc ns-3.33/src/wifi/model/ht-configuration.cc
--- ns-3.32/src/wifi/model/ht-configuration.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/wifi/model/ht-configuration.cc	2021-01-09 10:19:22.000000000 -0800
@@ -58,6 +58,12 @@
                    MakeBooleanAccessor (&HtConfiguration::GetGreenfieldSupported,
                                         &HtConfiguration::SetGreenfieldSupported),
                    MakeBooleanChecker ())
+    .AddAttribute ("LdpcSupported",
+                   "Whether or not LDPC coding is supported.",
+                   BooleanValue (false),
+                   MakeBooleanAccessor (&HtConfiguration::GetLdpcSupported,
+                                        &HtConfiguration::SetLdpcSupported),
+                   MakeBooleanChecker ())
     ;
     return tid;
 }
@@ -88,4 +94,17 @@
   return m_greenfieldSupported;
 }
 
+void
+HtConfiguration::SetLdpcSupported (bool enable)
+{
+  NS_LOG_FUNCTION (this << enable);
+  m_ldpcSupported = enable;
+}
+
+bool
+HtConfiguration::GetLdpcSupported (void) const
+{
+  return m_ldpcSupported;
+}
+
 } //namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/wifi/model/ht-configuration.h ns-3.33/src/wifi/model/ht-configuration.h
--- ns-3.32/src/wifi/model/ht-configuration.h	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/wifi/model/ht-configuration.h	2021-01-09 10:19:22.000000000 -0800
@@ -73,11 +73,26 @@
    *         false otherwise.
    */
   bool GetGreenfieldSupported (void) const;
+  /**
+   * Enable or disable LDPC support.
+   *
+   * \param enable true if LDPC is to be supported,
+   *               false otherwise
+   */
+  void SetLdpcSupported (bool enable);
+  /**
+   * \return whether the device supports LDPC.
+   *
+   * \return true if LDPC is supported,
+   *         false otherwise.
+   */
+  bool GetLdpcSupported (void) const;
 
 
 private:
   bool m_sgiSupported;        ///< flag whether short guard interval is supported
   bool m_greenfieldSupported; ///< flag whether Greenfield is supported
+  bool m_ldpcSupported;       ///< flag whether LDPC coding is supported
 };
 
 } //namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/wifi/model/ideal-wifi-manager.cc ns-3.33/src/wifi/model/ideal-wifi-manager.cc
--- ns-3.32/src/wifi/model/ideal-wifi-manager.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/wifi/model/ideal-wifi-manager.cc	2021-01-09 10:19:22.000000000 -0800
@@ -58,7 +58,7 @@
     .AddConstructor<IdealWifiManager> ()
     .AddAttribute ("BerThreshold",
                    "The maximum Bit Error Rate acceptable at any transmission mode",
-                   DoubleValue (1e-5),
+                   DoubleValue (1e-6),
                    MakeDoubleAccessor (&IdealWifiManager::m_ber),
                    MakeDoubleChecker<double> ())
     .AddTraceSource ("Rate",
@@ -534,7 +534,7 @@
       NS_LOG_DEBUG ("New datarate: " << maxMode.GetDataRate (channelWidth, guardInterval, selectedNss));
       m_currentRate = maxMode.GetDataRate (channelWidth, guardInterval, selectedNss);
     }
-  return WifiTxVector (maxMode, GetDefaultTxPowerLevel (), GetPreambleForTransmission (maxMode.GetModulationClass (), GetShortPreambleEnabled (), UseGreenfieldForDestination (GetAddress (station))), guardInterval, GetNumberOfAntennas (), selectedNss, 0, GetChannelWidthForTransmission (maxMode, channelWidth), GetAggregation (station), false);
+  return WifiTxVector (maxMode, GetDefaultTxPowerLevel (), GetPreambleForTransmission (maxMode.GetModulationClass (), GetShortPreambleEnabled (), UseGreenfieldForDestination (GetAddress (station))), guardInterval, GetNumberOfAntennas (), selectedNss, 0, GetChannelWidthForTransmission (maxMode, channelWidth), GetAggregation (station));
 }
 
 WifiTxVector
@@ -564,7 +564,7 @@
           maxMode = mode;
         }
     }
-  return WifiTxVector (maxMode, GetDefaultTxPowerLevel (), GetPreambleForTransmission (maxMode.GetModulationClass (), GetShortPreambleEnabled (), UseGreenfieldForDestination (GetAddress (station))), 800, GetNumberOfAntennas (), nss, 0, GetChannelWidthForNonHtMode (maxMode), GetAggregation (station), false);
+  return WifiTxVector (maxMode, GetDefaultTxPowerLevel (), GetPreambleForTransmission (maxMode.GetModulationClass (), GetShortPreambleEnabled (), UseGreenfieldForDestination (GetAddress (station))), 800, GetNumberOfAntennas (), nss, 0, GetChannelWidthForNonHtMode (maxMode), GetAggregation (station));
 }
 
 double
